<?php
/**
 * @brief		(DP42) Referrals System Application Class
 * @author		<a href='http://ipslink.pl'>DawPi</a>
 * @copyright	(c) 2017 DawPi
 * @package		IPS Community Suite
 * @subpackage	(DP42) Referrals System
 * @since		06 Jan 2017
 * @version		
 */
 
namespace IPS\rsystem;

/**
 * (DP42) Referrals System Application Class
 */
class _Application extends \IPS\Application
{
	/**
	 * [Node] Get Icon for tree
	 *
	 * @note	Return the class for the icon (e.g. 'globe')
	 * @return	string|null
	 */
	protected function get__icon()
	{
		return 'users';
	}
    
	public function cpr()
	{
        return "<div id='referralsSystemCopyright' class='ipsType ipsType_right ipsType_small ipsType_light ipsPad_half'><a href='http://www.ipslink.pl' class='ipsType_light ipsType_smaller'>(DP42) Referrals System by DawPi</a></div>";
	}
}

#RSYSTEM_029