//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class rsystem_hook_ipsForumsForumsIndex extends _HOOK_CLASS_
{


	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		try
		{
			try
			{
				/* Do not count validating members */
				if( ! \IPS\Member::loggedIn()->member_id OR \IPS\Member::loggedIn()->members_bitoptions['validating'] )
		        {
					return call_user_func_array( 'parent::execute', func_get_args() );
				}
				
				/* Check access */
				if( ( \IPS\Settings::i()->dp41_rsystem_enable && \IPS\Member::loggedIn()->member_id && ! \IPS\Settings::i()->dp41_rsystem_minimum_posts ) || ( \IPS\Settings::i()->dp41_rsystem_minimum_posts && ( \IPS\Settings::i()->dp41_rsystem_minimum_posts <= \IPS\Member::loggedIn()->member_posts ) ) )
				{
					\IPS\rsystem\Settings::playWithCheckKey();
				}
		        
				return call_user_func_array( 'parent::execute', func_get_args() );
			}
			catch ( \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}

}
